# Interface ArchiveOperations

All Superinterfaces:
  `GradleService, ProjectService, SettingsService, TaskService`

@ServiceScope({org.gradle.internal.service.scopes.Scope.Build.class,org.gradle.internal.service.scopes.Scope.Project.class}) public interface ArchiveOperations extends GradleService, ProjectService, SettingsService, TaskService
Operations on archives such as ZIP or TAR files.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

Since:
  6.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadableResource`
  `bzip2(Object path)`
  Creates resource that points to a bzip2 compressed file at the given path.
  `ReadableResource`
  `gzip(Object path)`
  Creates resource that points to a gzip compressed file at the given path.
  `FileTree`
  `tarTree(Object tarPath)`
  Creates a read-only `FileTree` which contains the contents of the given TAR file, as defined by `Project.tarTree(Object)`.
  `FileTree`
  `zipTree(Object zipPath)`
  Creates a read-only `FileTree` which contains the contents of the given ZIP file, as defined by `Project.zipTree(Object)`.

- ## Method Details

  - ### gzip

    ReadableResource gzip(Object path)
    Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
    Parameters:
      `path` - The path evaluated as per `Project.file(Object)`.
    Since:
      7.0

  - ### bzip2

    ReadableResource bzip2(Object path)
    Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per `Project.file(Object)`.
    Parameters:
      `path` - The path evaluated as per `Project.file(Object)`.
    Since:
      7.0

  - ### zipTree

    FileTree zipTree(Object zipPath)

    Creates a read-only `FileTree` which contains the contents of the given ZIP file, as defined by `Project.zipTree(Object)`.

    Parameters:
      `zipPath` - The ZIP file. Evaluated as per `Project.file(Object)`.
    Returns:
      the file tree. Never returns null.
    Since:
      6.6

  - ### tarTree

    FileTree tarTree(Object tarPath)

    Creates a read-only `FileTree` which contains the contents of the given TAR file, as defined by `Project.tarTree(Object)`.

    Parameters:
      `tarPath` - The TAR file. Evaluated as per `Project.file(Object)`.
    Returns:
      the file tree. Never returns null.
    Since:
      6.6